Market Status
curl --request GET \
--url https://api.tradewatch.io/stocks/markets/status \
--header 'api-key: <api-key>'import requests
url = "https://api.tradewatch.io/stocks/markets/status"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.tradewatch.io/stocks/markets/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"mic": "XNYS",
"day_of_week": "Wednesday",
"is_weekend": false,
"is_business_day": true,
"status": "Open",
"is_early_close": false,
"local_time": "2024-05-01T11:05:21-04:00",
"open_time": "2024-05-01T09:30:00-04:00",
"close_time": "2024-05-01T16:00:00-04:00",
"holiday_name": "Labor Day"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Markets
Market Status
Get the current status (open or closed) of a market. It takes holidays and half-days into account but does not factor in circuit breakers or halts.
GET
/
stocks
/
markets
/
status
Market Status
Authorizations
Authentication via API key header
Query Parameters
Optional list of comma separated MIC codes for which market to show data for. All market will be included if MIC code is not specified.
Response
Successful Response
Example:
"XNYS"
Example:
"Wednesday"
Example:
false
Example:
true
Available options:
Open, Closed Example:
"Open"
Example:
false
Example:
"2024-05-01T11:05:21-04:00"
Example:
"2024-05-01T09:30:00-04:00"
Example:
"2024-05-01T16:00:00-04:00"
Example:
"Labor Day"
